This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 248896 - fatal error when volumegroup is inactive during formating
fatal error when volumegroup is inactive during formating
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-19 10:49 EDT by Elliot Peele
Modified: 2008-04-07 10:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 10:46:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Elliot Peele 2007-07-19 10:49:21 EDT
Description of problem:
Anaconda gives a fatal error saying that it can't format a logical volume and
exists.

Version-Release number of selected component (if applicable):
11.3.0.5

How reproducible:
every time

Steps to Reproduce:
1. Start an install on a machine with 256MB of memory.
2. Create a partition scheme that uses lvm, but doesn't have swap.
3. When asked anaconda prompts you to enable swap (even though you don't have a
swap partition) select yes.
4. When anacond goes to format the logical volume it blows up because the volume
group is inactive.
  
Actual results:
fatal error in anaconda, it doesn't install but it already formated part of the
disk.

Expected results:
1. Should not prompt to enable swap when there is no swap partition specified.
2. Volume group should not be inactive.

Additional info:
This was with a version of anaconda from cvs head 07/10/2007.
Comment 1 Joel Andres Granados 2007-08-22 06:27:59 EDT
Ran a few tests and the bug report is pretty consistent with what I see. 
However in all my tests anaconda did not ask to enable swap.  It simple stated
that swap was not activated and it might be useful.  In the same window it asks
the user if he/she wishes to continue.  
Finally when anaconda begins to format partitions it spits out a error messages
stating that the installation must stop and forces a reboot.
Comment 2 Joel Andres Granados 2007-08-22 08:07:03 EDT
Comment #1 was tested on f7.  Did some subsequent tests on rawhide and it blows
up because it runs out of memory, not because the lv is inactive.  Can you test
again with current rawhide and see if behavior persists.
Comment 3 Bug Zapper 2008-04-04 09:24:49 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Joel Andres Granados 2008-04-07 10:46:29 EDT
Rechecked on rawhide and did not find the issue.  It will break if there is no
memory, but that is something different from what is expressed in this bug.

Note You need to log in before you can comment on or make changes to this bug.